Retrieve voice evaluation run details
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"run": {
"id": "vevr_run_001",
"agent_id": "<string>",
"golden_set_id": "<string>",
"triggered_by": "<string>",
"trigger_source": "<string>",
"status": "<string>",
"cases_total": 123,
"cases_passed": 123,
"cases_failed": 123,
"stt_provider": "<string>",
"tts_provider": "<string>",
"llm_model": "<string>",
"avg_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"total_audio_seconds": 123,
"cost_usd": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"is_simulated": true,
"simulated_legs": [
"<string>"
],
"simulation_notice": "<string>"
},
"cases": [
{
"id": "<string>",
"golden_case_id": "<string>",
"case_label": "<string>",
"expected_response_topic": "<string>",
"actual_transcript": "<string>",
"actual_response": "<string>",
"llm_judge_score": "<string>",
"llm_judge_reasoning": "<string>",
"stt_latency_ms": 123,
"llm_latency_ms": 123,
"tts_latency_ms": 123,
"end_to_end_latency_ms": 123,
"stt_word_error_rate": "<string>",
"passed": true,
"failure_reason": "<string>",
"audio_recording_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}API Reference
Retrieve voice evaluation run details
Fetch full details of a completed or in-progress voice evaluation run, including run metadata and per-case results with transcripts, LLM responses, judge scores, and latency breakdowns. Use this to review evaluation results, analyze failure reasons, and inspect audio recordings.
GET
/
api
/
v1
/
agents
/
voice-eval
/
runs
/
{id}
Retrieve voice evaluation run details
⌘I